[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: actually kill processes found

Holger Levsen holger at moszumanska.debian.org
Fri Oct 9 10:20:47 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit e1044314972685b5caf2644393bc5f13e279e830
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Oct 9 12:10:16 2015 +0200

    reproducible: actually kill processes found
---
 bin/reproducible_maintenance.sh | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 6dbc1b8..4215880 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -287,13 +287,17 @@ for i in $PBUIDS ; do
 		AGE=$(ps -p $p -o etimes= || echo 0)
 		# let's be generous and consider 14 hours here...
 		if [ $AGE -gt $(( 14*60*60 )) ] ; then
-			PSCALL=${PSCALL:+"$PSCALL,"}"$p"
-			echo "Warning: Could 'kill -9 $p' now, but not doing so now _yet_... "
+			sudo kill -9 $p 2>&1 || (echo "Could not kill:" ; ps -F -p "$p")
+			# check it's gone
+			AGE=$(ps -p $p -o etimes= || echo 0)
+			if [ $AGE -gt $(( 14*60*60 )) ] ; then
+				PSCALL=${PSCALL:+"$PSCALL,"}"$p"
+			fi
 		fi
 	done
 done
 if [ ! -z "$PSCALL" ] ; then
-	echo -e "Warning: processes found which should not be there, please fix up manually:"
+	echo -e "Warning: processes found which should not be there and which could not be killed. Please fix up manually:"
 	ps -F -p "$PSCALL"
 	echo
 fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list